Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.TypeChecking.Patterns.Match

Synopsis

- data Match
  - = Yes [Term]
  - | No
  - | DontKnow (Maybe MetaId)
- matchPatterns :: [Arg Pattern] -> [Arg Term] -> TCM (Match, [Arg Term])
- matchPattern :: Arg Pattern -> Arg Term -> TCM (Match, Arg Term)

# Documentation

data Match

If matching is inconclusive (`DontKnow`) we want to know whether it is due to a particular meta variable.

Constructors

Yes [Term] |
No |
DontKnow (Maybe MetaId) |

Instances

Monoid Match |

matchPatterns :: [Arg Pattern] -> [Arg Term] -> TCM (Match, [Arg Term])

matchPattern :: Arg Pattern -> Arg Term -> TCM (Match, Arg Term)